Bug 1975027 - Crash when attempting to unlock a LUKS device via udiskie
Summary: Crash when attempting to unlock a LUKS device via udiskie
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: polkit
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Rybar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-23 00:56 UTC by Ben Boeckel
Modified: 2021-11-30 18:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 18:55:00 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Ben Boeckel 2021-06-23 00:56:18 UTC
Description of problem:
Crashes with polkit-0.117-2.fc33.1.x86_64 while downgrading to polkit-0.117-2.fc33.x86_64 is fine. Seen when trying to use `udiskie` to unlock a LUKS device. Journal logs are:

Jun 22 20:43:05 megas kernel: polkitd[4064]: segfault at 1d8 ip 00007f0db4e3d654 sp 00007ffe071ad258 error 4 in libpthread-2.32.so[7f0db4e39000+10000]
Jun 22 20:43:05 megas kernel: Code: 0d c1 c1 00 00 ba a7 01 00 00 48 8d 35 47 c0 00 00 48 8d 3d 76 bf 00 00 e8 c9 c0 ff ff 66 0f 1f 84 00 00 00 00 00 f3 0f 1e fa <8b> 47 10 89 c2 81 e2 7f 01 00 00 90 83 e0 7c 75 7b 53 48 83 ec 10
Jun 22 20:43:05 megas audit: BPF prog-id=53 op=LOAD
Jun 22 20:43:05 megas audit: BPF prog-id=54 op=LOAD
Jun 22 20:43:05 megas audit: BPF prog-id=55 op=LOAD
Jun 22 20:43:05 megas systemd[1]: Started Process Core Dump (PID 4068/UID 0).
Jun 22 20:43:05 megas audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@4-4068-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jun 22 20:43:06 megas systemd-coredump[4069]: Process 4064 (polkitd) of user 995 dumped core.
                                              
                                              Stack trace of thread 4064:
                                              #0  0x00007f0db4e3d654 __pthread_mutex_lock (libpthread.so.0 + 0xb654)
                                              #1  0x00007f0db5aee59a _ZN7mozilla6detail9MutexImpl4lockEv (libmozjs-78.so.0 + 0x8c659a)
                                              #2  0x00007f0db5568338 _ZN9JSRuntime4initEP9JSContextj (libmozjs-78.so.0 + 0x340338)
                                              #3  0x00007f0db53e3ae8 _Z13JS_NewContextjP9JSRuntime (libmozjs-78.so.0 + 0x1bbae8)
                                              #4  0x0000561642acd3a3 _ZL39polkit_backend_js_authority_constructedP8_GObject (polkitd + 0x123a3)
                                              #5  0x00007f0db702f9a7 g_object_new_internal (libgobject-2.0.so.0 + 0x229a7)
                                              #6  0x00007f0db703069d g_object_new_with_properties (libgobject-2.0.so.0 + 0x2369d)
                                              #7  0x00007f0db7031311 g_object_new (libgobject-2.0.so.0 + 0x24311)
                                              #8  0x0000561642acd05e polkit_backend_authority_get (polkitd + 0x1205e)
                                              #9  0x0000561642ac75b2 main (polkitd + 0xc5b2)
                                              #10 0x00007f0db4e821e2 __libc_start_main (libc.so.6 + 0x281e2)
                                              #11 0x0000561642ac773e _start (polkitd + 0xc73e)
                                              
                                              Stack trace of thread 4067:
                                              #0  0x00007f0db4f503ff __poll (libc.so.6 + 0xf63ff)
                                              #1  0x00007f0db6f80a36 g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa5a36)
                                              #2  0x00007f0db6f2e163 g_main_loop_run (libglib-2.0.so.0 + 0x53163)
                                              #3  0x00007f0db717701a gdbus_shared_thread_func.lto_priv.0 (libgio-2.0.so.0 + 0x11001a)
                                              #4  0x00007f0db6f5c402 g_thread_proxy (libglib-2.0.so.0 + 0x81402)
                                              #5  0x00007f0db4e3b3f9 start_thread (libpthread.so.0 + 0x93f9)
                                              #6  0x00007f0db4f5b4c3 __clone (libc.so.6 + 0x1014c3)
                                              
                                              Stack trace of thread 4066:
                                              #0  0x00007f0db4f503ff __poll (libc.so.6 + 0xf63ff)
                                              #1  0x00007f0db6f80a36 g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa5a36)
                                              #2  0x00007f0db6f2be73 g_main_context_iteration (libglib-2.0.so.0 + 0x50e73)
                                              #3  0x00007f0db6f2da91 glib_worker_main (libglib-2.0.so.0 + 0x52a91)
                                              #4  0x00007f0db6f5c402 g_thread_proxy (libglib-2.0.so.0 + 0x81402)
                                              #5  0x00007f0db4e3b3f9 start_thread (libpthread.so.0 + 0x93f9)
                                              #6  0x00007f0db4f5b4c3 __clone (libc.so.6 + 0x1014c3)

Comment 1 Ben Cotton 2021-11-04 13:53:57 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2021-11-04 14:23:22 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2021-11-04 15:21:00 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2021-11-30 18:55:00 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.